package com.gh.gamecenter.setting.provider

import android.content.Context
import com.alibaba.android.arouter.facade.annotation.Route
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.IDirectProvider
import com.gh.gamecenter.core.utils.ToastUtils

@Route(path = RouteConsts.provider.directUtils, name = "DirectUtils暴露服务")
class DirectProviderImpl : IDirectProvider {

    override fun directToWebView(context: Context, url: String, entrance: String?) {
        ToastUtils.toast("调用->DirectProviderImpl.directToWebView")
    }

    override fun directToRegulationTestPage(context: Context) {
        ToastUtils.toast("调用->DirectProviderImpl.directToRegulationTestPage")
    }

    override fun directToQqConversation(context: Context, qq: String) {
        ToastUtils.toast("调用->DirectProviderImpl.directToQqConversation")
    }

    override fun directToCommodityDetail(context: Context, commodityId: String) {
        ToastUtils.toast("调用->DirectProviderImpl.directToCommodityDetail")
    }

    override fun directToEnergyRecord(context: Context) {
        ToastUtils.toast("调用->DirectProviderImpl.directToEnergyRecord")
    }

    override fun directToEnergyRulePage(context: Context) {
        ToastUtils.toast("调用->DirectProviderImpl.directToEnergyRulePage")
    }

    override fun directToInviteFriends(context: Context) {
        ToastUtils.toast("调用->DirectProviderImpl.directToInviteFriends")
    }

    override fun directToExchangeRulePage(context: Context) {
        ToastUtils.toast("调用->DirectProviderImpl.directToExchangeRulePage")
    }

    override fun directToExchangeCommodityPage(context: Context) {
        ToastUtils.toast("调用->DirectProviderImpl.directToExchangeCommodityPage")
    }

    override fun directToLotteryParadisePage(context: Context) {
        ToastUtils.toast("调用->DirectProviderImpl.directToLotteryParadisePage")
    }

    override fun directDouyin(context: Context, userId: String) {
        ToastUtils.toast("调用->DirectProviderImpl.directDouyin")
    }

    override fun directToSuggestionFromDiagnosis(context: Context, diagnosis: String) {
        ToastUtils.toast("调用->DirectProviderImpl.directToSuggestionFromDiagnosis")
    }

    override fun init(context: Context?) {
        // Do nothing
    }
}